using System;
using System.Web.UI.WebControls;
using System.Web.UI;
using System.ComponentModel;
using System.ComponentModel.Design;
using AjaxControlToolkit;

[assembly: System.Web.UI.WebResource("AjaxControlToolkit.StyledAutoCompleteBehavior.js", "text/javascript")]

namespace Jeffz.Web
{
	[Designer(typeof(StyledAutoCompleteDesigner))]
	[ClientScriptResource("Jeffz.Web.StyledAutoCompleteBehavior", "Jeffz.Web.StyledAutoCompleteBehavior.js")]
	public class StyledAutoCompleteExtender : AutoCompleteExtender
	{
		private string _ItemTemplate;

		[PersistenceMode(PersistenceMode.InnerProperty)]
		[DesignerSerializationVisibility(DesignerSerializationVisibility.Content)]
		[ExtenderControlProperty]
		[ClientPropertyName("itemTemplate")]
		[DefaultValue("")]
		public string ItemTemplate
		{
			get { return this._ItemTemplate ?? string.Empty; }
			set
			{
				this._ItemTemplate = value == null ? string.Empty : value.Trim() ;
			}
		}
	}
}
